Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024717
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-09-09 12:312013-09-30 12:51
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revision678833c5b26e
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024717: Login process never ends

DescriptionLogin process never ends because the application keeps in "Loading" window.

The problem is in function "function triggerReady(models) {". It seems that the last time that code request this function the models are not ready so the trigger
"models.trigger('ready');" is not launched.

Due to that, the Web POS keeps in Loading screen
Steps To Reproduce-Add the following code in java BusinessPartner.java inside the master folder

Thread.sleep(10000);
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061193)
hgbot (developer)
2013-09-17 12:30

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 678833c5b26ee2371fc2961882b61a0c12799fd4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Sep 17 12:02:22 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/678833c5b26ee2371fc2961882b61a0c12799fd4 [^]

Fixed issue 24717. Fixed web pos loading when incremental refresh happens before the initial model loading has ended

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0061325)
guilleaer (developer)
2013-09-20 16:20

Verified
(0061469)
hgbot (developer)
2013-09-30 09:46

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 678833c5b26ee2371fc2961882b61a0c12799fd4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Sep 17 12:02:22 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/678833c5b26ee2371fc2961882b61a0c12799fd4 [^]

Fixed issue 24717. Fixed web pos loading when incremental refresh happens before the initial model loading has ended

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0061482)
guilleaer (developer)
2013-09-30 12:50

reclosed

- Issue History
Date Modified Username Field Change
2013-09-09 12:31 jecharri New Issue
2013-09-09 12:31 jecharri Assigned To => marvintm
2013-09-09 12:31 jecharri Triggers an Emergency Pack => No
2013-09-09 12:41 jecharri Steps to Reproduce Updated View Revisions
2013-09-17 12:30 hgbot Checkin
2013-09-17 12:30 hgbot Note Added: 0061193
2013-09-17 12:30 hgbot Status new => resolved
2013-09-17 12:30 hgbot Resolution open => fixed
2013-09-17 12:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/678833c5b26ee2371fc2961882b61a0c12799fd4 [^]
2013-09-20 16:20 guilleaer Review Assigned To => guilleaer
2013-09-20 16:20 guilleaer Note Added: 0061325
2013-09-20 16:20 guilleaer Status resolved => closed
2013-09-20 16:20 guilleaer Fixed in Version => RMP27
2013-09-30 09:46 hgbot Checkin
2013-09-30 09:46 hgbot Note Added: 0061469
2013-09-30 09:46 hgbot Status closed => resolved
2013-09-30 09:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/678833c5b26ee2371fc2961882b61a0c12799fd4 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/678833c5b26ee2371fc2961882b61a0c12799fd4 [^]
2013-09-30 12:50 guilleaer Note Added: 0061482
2013-09-30 12:50 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker